vga_drawscanline(3)

NAME
vga_drawscanline - draw a horizontal line of pixels

SYNOPSIS
#include <vga.h> int vga_drawscanline(int line , unsigned char *color);

DESCRIPTION
draws a horizontal line over the whole screen in the line with y coordinate line. The colors drawn are taken from color[0] .. color[length - 1]. This is a simpler frontend to vga_drawscansegment(3).

SEE ALSO
svgalib(7), vgagl(7), libvga.config(5), vga_clear(3), vga_drawpixel(3), vga_drawline(3), vga_getpixel(3), vga_getscansegment(3) vga_drawscansegment(3)

AUTHOR
This manual page was edited by Michael Weller <eowmob@exp-math.uni-essen.de>. The exact source of the referenced function as well as of the original documentation is unknown. It is very likely that both are at least to some extend are due to Harm Hanemaayer <H.Hanemaayer@inter.nl.net>. Occasionally this might be wrong. I hereby excuse by the correct author and will happily accept any additions or corrections to this first version of the svgalib manual.